Introduction

System Requirements

Copyright and Trademarks

License Agreement


System Requirements

Windows 95b or Windows 98b or Windows 2000 or Windows XP or Windows NT 4.0 (with minimum Service Pack 3)

Optimal Access Contact

Email | info@optimalaccess.com
Homepage | http://www.optimalaccess.com/


Copyright and Trademarks

Copyright

Trademarks


Copyright

Optimal Archive is Copyright 2001-2002 property of Optimal Access Inc. All rights reserved.


Trademarks

Optimal Archive is a trademark of Optimal Access Corporation.

Microsoft is a registered trademark of Microsoft Corporation.

Windows, Windows for Workgroups, Windows 95, Windows NT, Windows 2000, Windows XP and Windows Explorer are registered trademarks of Microsoft Corporation.

Other trademarks are the property of their respective holders.


License Agreement

Optimal Access Corporation License Agreement

U.S. Government Restricted Rights


Optimal Access Corporation License Agreement

GRANT OF LICENSE. This License Agreement permits you to use one copy of the enclosed Optimal Access Corporation software program (the "SOFTWARE") on a single computer. The SOFTWARE is in "use" on a computer when it is loaded into temporary memory (i.e. RAM) or installed into permanent memory (e.g. hard disk, CD-ROM, or other storage device) of that computer. However, installation on a network server for the sole purpose of internal distribution shall not constitute "use" for which a separate license is required, provided you have a separate license for each computer to which the SOFTWARE is distributed.

COPYRIGHT. The SOFTWARE is owned by Optimal Access Corporation or its suppliers and is protected by United States copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE like any other copyrighted material (e.g. a book or musical recording) except that you may either (a) make one copy of the SOFTWARE solely for backup or archival purposes, or (b) transfer the SOFTWARE to a single hard disk provided you keep the original solely for backup or archival purposes. You may not copy the written materials accompanying the SOFTWARE.

OTHER RESTRICTIONS. You may not rent or lease the SOFTWARE, but you may transfer the SOFTWARE and accompanying written materials on a permanent basis provided you retain no copies and the recipient agrees to the terms of this Agreement. You may not reverse engineer, decompile, or disassemble the SOFTWARE. If the Software is an update or has been updated, any transfer must include the most recent update and all prior versions.

DUAL MEDIA SOFTWARE. If the SOFTWARE package contains multiple media such as 3.5" disks and CD-ROM disks, then you may use only the disks of the media appropriate for your single-user computer. You may not use the disks of the other media on another computer or loan, rent, lease, or transfer them to another user except as part of the permanent transfer (as provided above) of all SOFTWARE and written materials.

Limited Warranty

LIMITED WARRANTY. This program is provided "as is" without any warranty of any kind, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The entire risk as to the quality and performance of the SOFTWARE is with you, the licensee. Should the SOFTWARE prove defective, you assume the risk and liability for the entire cost of all necessary repair, service, or correction. Some states/jurisdictions do not allow the exclusion of implied warranties, so the above exclusion may not apply to you. This warranty gives you specific legal rights, and you may have other rights, which vary from state/jurisdiction to state/jurisdiction.

Optimal Access Corporation does not warranty the functions contained in the SOFTWARE will meet your requirements, or that the operation of the SOFTWARE will be error-free or uninterrupted. Optimal Access Corporation does warrant that the disk(s) on which the program is furnished shall be free from defects in materials and workmanship for a period of ninety (90) days from the date of purchase, so long as proof of purchase is provided.

CUSTOMER REMEDIES. Optimal Access Corporation's and its suppliers' entire liability and your exclusive remedy shall be, at Optimal Access Corporation's option, either (a) return of the price paid, or (b) repair or replacement of the SOFTWARE that does not meet Optimal Access Corporation's Limited Warranty and which is returned to Optimal Access Corporation with proof of purchase. This Limited Warranty is void if failure of the SOFTWARE has resulted from accident, abuse, or misapplication. Any replacement SOFTWARE will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. Neither these remedies nor any product support services are available outside the United States without proof of purchase from an authorized non-U.S. source.

NO OTHER WARRANTIES. To the maximum extent permitted by applicable law, Optimal Access Corporation and its suppliers disclaim all other warranties, either express or implied, including, but not limited to, implied warranties of merchantability and fitness for a particular purpose, with regard to the SOFTWARE, the accompanying written materials, and any accompanying hardware. This limited warranty gives you specific legal rights. You may have others, which vary from state/jurisdiction to state/jurisdiction.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. To the maximum extent permitted by applicable law, in no event shall Optimal Access Corporation or its suppliers be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use or inability to use this Optimal Access Corporation product, even if Optimal Access Corporation has been advised of the possibility of such damages or for any claim by any other party. Because some states/jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.


U.S. Government Restricted Rights

The SOFTWARE and documentation are subject to export controls under the United States Export Administration Act, as amended, which Act prohibits exports of certain commodities and technical data, including software, to specified countries. In particular, the SOFTWARE may not be exported to Cuba, Iran, Iraq, Libya, North Korea, Sudan, or Syria. You hereby certify that neither the SOFTWARE nor the documentation will be transmitted or forwarded outside of your country.

If you acquired this product in the United States, this Agreement is governed by the laws of the State of California.

Should you have any questions concerning this Agreement, or if you desire to contact Optimal Access Corporation for any reason, you may write to Optimal Access Corporation, ADDRESS.


Optimal Archive Overview

What is an Archive?

What are shell extension programs?

What is Optimal Desktop?

Typical Uses for Archives

What is a Self-Extracting Zip File?

Supported Archive formats


What is an Archive?

Archives are files that contain other files. Typically, the files in an archive are compressed. Archives usually have file names ending with ZIP, ARJ, RAR or TAR, depending on how they were created. Archives make it easy to group files and make transporting and copying these files faster.

With Optimal Archive, you can create compressed zipped files and uncompress ZIP, RAR, ARJ and TAR files.


What are shell extension programs?

These programs appear as a folder in the explorer tree and make it easier for users to manage their files and resources. This is a very useful addition for Zipped programs. Now you don't have to launch a zip program to view your files. All your zipped files appear as folders in your explorer directory. You can simply see the contents of your zipped files by selecting the folder. Extracting files from existing zipped files is a simple drag and drop operation.

Optimal Archive is only one of the programs offered by Optimal Access and works best when used with Optimal Desktop.


What is Optimal Desktop?

Optimal Desktop offers productivity through personalization by integrating access to files, folders, network drives, Internet web pages and more through a proprietary and easy to use tabbed interface. .

The Optimal Desktop interface eliminates the need to manage multiple browser windows. Utilizing user defined tabs; users have access to thousands of favorite files and folders with three clicks or less. The tabs are created by dragging files, folders or Internet web pages into a container bin. Optimal Archive files and folders are also easily navigated using Optimal Desktop.


Typical Uses for Archives

Archives are used to reduce the size of files into a compressed format and are generally used for archiving and file transportation through emails or other electronic mediums.


What is a Self-Extracting Zip File?

A self-extracting Zip file is an executable program file (.EXE file) that includes both a Zip file and software to extract or "unzip" the contents of the Zip file. Users can extract the contents of a self-extracting Zip file by simply running it. This is convenient, because the end user does not need an unzip program to extract files from these self-extracting archives.


Supported Archive formats

Optimal Archive supports the creation of zipped files only, however you can view and uncompress RAR, TAR and ARJ files as well.

Zip files are the most common archive format. Zip files can span multiple disks, and provide both compression and file grouping.


Creating and Extracting Archives

How to create an Archive

How to extract an Archive

How to create multi-volume and/or self-extracting Archive files


How to create an Archive

Highlight the files you want to compress. Press the right mouse button. There are two options under the Optimal Archive menu item:

a) Add to Archive

b) Add to Archive <Suggested File Name>

Add to Archive: This option will pop up the following dialog box:

The caption up on top lets you know you are performing the correct operation (Optimal Archive: Zip Compress).

Related Topics

Directory

Archive Name

Action

Password

Options

Comments-Tab

About-Tab


Directory

Displays the active directory name, where the file is to be stored.


Archive Name

Displays the name of the new archived file. The active file in the list of files highlighted is defaulted as the archive name. Use the folder icon on the side to change the target directory for the zipped file.

If you choose to compress the selected files into an existing zipped file, then you must choose the target zip file using the folder icon next to the "Archive Name" field.


Action

This option is highlighted when you choose to add the selected files to an existing zipped file.

Add new and replace existing files: Add new files and replace duplicate files with the new ones

Add New Files Only: Add only new files and don't replace duplicate files

Add new and refresh existing files: Add new files and update duplicate files

Replace existing files only: Replace only duplicate files with the new ones

Refresh existing files only: Update only duplicate files


Password

You can create a password for your zipped files. Compressed files will be prompted before being unzipped.


Options

Here you can override your default options.

Compression Method: The Compression drop-down list determines the compression method. Faster compression options usually result in larger archives.

Store Full path (Without Drive Letters) in archived file: Use this option if you want to restore files later to same directory

Delete source files after successful compression: Comes in handy when you are backing up files and clearing disk space

Create Self Extracting archived file: Use when you are not sure that the receiving party has a zip program to unzip files

Create multiple volumes: Use this option when you want to transport the file (email, diskettes) in smaller chunks.


Comments-Tab

Enter comments about the zipped file you just created. Highly recommended if you use zipped files for backup and to relay messages to recipients of the compressed files.


About-Tab

The "About-Tab" gives you information about the Optimal Archive release versions, and a link to the Optimal Access web site.


How to extract an Archive

Optimal Archive makes it very easy to unzip files. When you double click on an archived file, an explorer type window opens up (Optimal Archive viewer). Here you can easily launch applications from within the archived file, and/or cut/copy/paste/drag files to other folders outside this view in Explorer.

You can also unzip an optimal Archive file the traditional way. Select the archived file, right click the mouse button to get the unzip dialog box.

Related Topics

Unzipping with Optimal Archive viewer


Unzipping with Optimal Archive viewer

Once you launch the Optimal Archive viewer, you have a number of options to extract files from your zipped file.

  1. From the Optimal Archive viewer window select the items you want to extract and chose one of the following methods to extract the selected items
    1. Cut or copy from and paste to the desired directory
    2. Drag the items to the explorer window and drop them in the desired directory
    3. Select the files, right mouse click and chose the desired destination from the dialog box


How to create multi-volume and/or self-extracting Archive files

You can store Optimal Archive files into

1.Multi-volume archive files

2.Self extracting archive files

3.Self extracting multi volume archive files

Specify the format of your new zipped file from the creation dialog box or convert an existing zip file into a new self-extaracting or multi-volume file by right clicking the zipped file and chosing the convert option from the Optimal Archive menu:


Preferences

Overview

The preferences dialog box has four tabs. The options in each tab are described in this section.General

File Associations

View

About


Preferences - Overview

Overview

Optimal Archive offers you some standard setting for defining the default behavior of Optimal Archive and some unique settings for differentiating between different archived formats. You can reach the Optimal Archive preferences from the Tools Optimal Archive Preferences ... - in the Optimal Archive viewer window, or by right clicking on the archived file and selecting preferences from the optimal Archive Preferences ... menu.


The preferences dialog box has four tabs. The options in each tab are described in this section.General

The General Tab lets you set the default values for

1.Temporary file Path

2.Default action for when adding files to existing archived files

3.Default Properties Settings

You can refer to Options for a more detailed description of how to use these properties.


File Associations

Optimal Archive can create only zipped files, but can view and extract files from four types of compressed file formats (ARJ, RAR, TAR, ZIP). In this tab you can specify the types of compressed files you want associasted with Optimal Archive.

You can also specify to use Optimal Archive viewer for viewing and extracting files or chose the Optimal Archive dialog box as your default method for extracting files. We recommend the Optimal Archive viewer for most users as it is more intuitive and gives the user greater flexibility to manage archived files and folders. We have selected the viewer as your default option when you first install Optimal Archive.


View

To differentiate between archived file formats, Optimal Archive lets you select a different background color for each file type. This option is specially useful when you use Optimal Archive with Optimal Desktop.

You can also select the default action for what should happen when you double click on a file inside of the Optimal Archive viewer - launch the file or application or open the extract dialog box.


About

The About tab gives you the version number and other general information about the program.


How to manage Archives within Optimal Desktop

Overview


How to manage Archives within Optimal Desktop - Overview

Overview

Optimal Archive, when used from the Optimal Desktop application offers a more powerful integration. Inside Optimal Desktop the zip files appear as folders integrated in the explorer tree and can be navigated using Optimal Desktop node tabs.

Optimal Desktop makes it easier to copy compressed files anywhere in the network per drag and drop. Simply drag any file or folder from inside the ziped file, over containers and nodes into remote directories and even remote ftp sites.

Open the Desktop-Managerin Optimal Desktop —> Desktop Settings —> Options , select the folder "Archive Files" and decide which Archive types you want to see as folders in tree.

You can download a copy of Optimal Desktop from www.optimalaccess.com.


Content

Contents

Introduction

Optimal Archive Overview

Creating and Extracting Archives

Preferences

How to manage Archives within Optimal Desktop